- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.BatchUpdateLineItemCreativeAssociationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#body.aspect)
- [UpdateLineItemCreativeAssociationRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#UpdateLineItemCreativeAssociationRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#UpdateLineItemCreativeAssociationRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#try-it)

Batch updates `LineItemCreativeAssociation` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/creatives:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `LineItemCreativeAssociations` will be updated. This request supports using the "-" character as a wildcard for resources that span across multiple LineItem parents. Format: `networks/{networkCode}/lineItems/{lineItemId}` Format: `networks/{networkCode}/lineItems/-` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#UpdateLineItemCreativeAssociationRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives/batchUpdate#UpdateLineItemCreativeAssociationRequest`)`` Required. The `LineItemCreativeAssociation` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `creatives.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineItemCreativeAssociations": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`) } ] } ``` |

| Fields ||
|---|---|
| `lineItemCreativeAssociations[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`)`` The `LineItemCreativeAssociation` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateLineItemCreativeAssociationRequest

Request object for `creatives.patch` method.

| JSON representation |
|---|
| ``` { "lineItemCreativeAssociation": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `lineItemCreativeAssociation` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.lineItems.creatives#LineItemCreativeAssociation`)`` Required. The `LineItemCreativeAssociation` to update. Format: `networks/{networkCode}/lineItems/{lineItemId}/creatives/{creativeId}` |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |